import java.awt.*;

/**
 * A class representing a basic coin
 */
public class Coin
{
    protected double value;

    /**
     * Creates a new Coin (a fake one)
     */
    public Coin()
    {
        this.value = 0;
    }
    
    /**
     * Returns the coin's value
     */
    public double getValue()
    {
        return this.value;
    }
    
    /**
     * Returns the name of this coin ("fake gold coin")
     */
    public String getName()
    {
        return "fake gold coin";
    }
    
    /**
     * Draws the coin on the graphics object at the given x,y coordinates
     */
    public void draw(Graphics g, int x, int y)
    {
        int diam = 50;
        int off = (100-diam)/2;
        g.setColor(new Color(255, 238, 53));
        g.fillOval(off+x,off+y,diam,diam);
        g.setColor(new Color(12,18,16));
        g.drawRoundRect(off+x+20,off+y+5,10,40,5,5);
        g.drawOval(off+x,off+y,diam,diam);
        
    }

}
