import java.util.ArrayList;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Graphically displays a list of coins; one coin ever 100 pixels
 * 
 * @author Joel
 * @version Sp2013
 */
public class CoinDisplay extends JPanel
{
    private int width; //dimensions
    private int height;

    private ArrayList<Coin> coins; //a list of coins to show
    private JFrame frame; //the containing frame
    
    public CoinDisplay(ArrayList<Coin> coins, int width, int height)
    {
        this.width = width;
        this.height = height;
        this.coins = coins;

        this.setPreferredSize(new Dimension(width, height));
        //set up the containing frame
        frame = new JFrame("Coin Collection");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.getContentPane().add(this);
        frame.pack();
        frame.setVisible(true);

    }

    /**
     * Overridden method for drawing the coins
     */
    public void paintComponent(Graphics g)
    {
        g.setColor(Color.WHITE); //fill in the background
        g.fillRect(0, 0, width, height);

        int x = 0;
        int y = 0;
        for(Coin coin : coins)
        {
            coin.draw(g, x, y);
            
            x+=100;
            if(x >= width-100)
            {
                x = 0;
                y += 100;
            }
        }
    }
}
